Bug 1186929 - ckb-next incorrect dependency on //bin/bash
ckb-next incorrect dependency on //bin/bash
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Distribution
Classification: openSUSE
Component: Other
Leap 15.3
Other Other
: P5 - None : Normal (vote)
: Leap 15.3
Assigned To: Luigi Baldoni
E-mail List
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2021-06-07 11:07 UTC by B
Modified: 2021-08-10 17:08 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description B 2021-06-07 11:07:22 UTC
ckb-next has a dependency for //bin/bash which can only be provided by bash-legacybin.

Installing bash-legacybin after the recent usr directory merge will mess up the system.

The actual bash package provides only bash, /bin/bash and /usr/bin/bash.

ckb-next should require /bin/bash instead of //bin/bash.


> sudo zypper in ckb-next
Loading repository data...
Reading installed packages...
Resolving package dependencies...

Problem: nothing provides 'this-is-only-for-build-envs' needed by the to be installed bash-legacybin-5.1.4-2.3.x86_64
 Solution 1: do not install ckb-next-0.4.4-1.3.x86_64
 Solution 2: break bash-legacybin-5.1.4-2.3.x86_64 by ignoring some of its dependencies

Choose from above solutions by number or cancel [1/2/c/d/?] (c): d
Problem: nothing provides 'this-is-only-for-build-envs' needed by the to be installed bash-legacybin-5.1.4-2.3.x86_64
Detailed information: 
        the to be installed ckb-next-0.4.4-1.3.x86_64 requires '//bin/bash', but this requirement cannot be provided
        nothing provides 'this-is-only-for-build-envs' needed by the to be installed bash-legacybin-5.1.4-2.3.i586
        nothing provides 'this-is-only-for-build-envs' needed by the to be installed bash-legacybin-5.1.4-2.3.x86_64
 Solution 1: do not install ckb-next-0.4.4-1.3.x86_64
 Solution 2: break bash-legacybin-5.1.4-2.3.x86_64 by ignoring some of its dependencies


> sudo zypper info --provides bash
Loading repository data...
Reading installed packages...


Information for package bash:
-----------------------------
Repository     : Main Repository (OSS)
Name           : bash
Version        : 5.1.4-2.3
Arch           : x86_64
Vendor         : openSUSE
Installed Size : 1,3 MiB
Installed      : Yes
Status         : up-to-date
Source package : bash-5.1.4-2.3.src
Summary        : The GNU Bourne-Again Shell
Description    : 
    Bash is an sh-compatible command interpreter that executes commands
    read from standard input or from a file.  Bash incorporates useful
    features from the Korn and C shells (ksh and csh).  Bash is intended to
    be a conformant implementation of the IEEE Posix Shell and Tools
    specification (IEEE Working Group 1003.2).
Provides       : [7]
    /bin/sh
    /bin/bash
    bash = 5.1.4-2.3
    config(bash) = 5.1.4-2.3
    bash(x86-64) = 5.1.4-2.3
    /usr/bin/bash
    /usr/bin/sh
Comment 1 OBSbugzilla Bot 2021-06-09 11:40:06 UTC
This is an autogenerated message for OBS integration:
This bug (1186929) was mentioned in
https://build.opensuse.org/request/show/898786 Backports:SLE-15-SP3 / ckb-next
Comment 2 B 2021-06-13 19:40:24 UTC
I can already see the fix is in Tumbleweed and probably making its way to Leap.

Thanks Luigi for the fix.
Comment 3 Swamp Workflow Management 2021-07-08 19:19:13 UTC
openSUSE-RU-2021:1000-1: An update that has one recommended fix can now be installed.

Category: recommended (moderate)
Bug References: 1186929
CVE References: 
JIRA References: 
Sources used:
openSUSE Backports SLE-15-SP3 (src):    ckb-next-0.4.4-bp153.2.3.1
Comment 4 Luigi Baldoni 2021-08-10 17:08:34 UTC
Fix released.